# evennia.server.connection_wizard

Link Evennia to external resources (wizard plugin for evennia_launcher)

class `evennia.server.connection_wizard.``ConnectionWizard`

  Bases: `object`

  `__init__`()

    Initialize self. See help(type(self)) for accurate signature.

  `display`(text)

    Show text

  `ask_continue`()

    ‘Press return to continue’-prompt

  `ask_node`(options, prompt='Enter choice: ', default=None)

    Retrieve options and jump to different menu nodes

    Parameters

      - options (dict) – Node options on the form {key: (desc, callback), }

      - prompt (str, optional) – Question to ask

      - default (str, optional) – Default value to use if user hits return.

  `ask_yesno`(prompt, default='yes')

    Ask a yes/no question inline.

    Keyword Arguments

      - prompt (str) – The prompt to ask.

      - default (str) – “yes” or “no”, used if pressing return.

    Returns

      reply (str) – Either ‘yes’ or ‘no’.

  `ask_choice`(prompt=' > ', options=None, default=None)

    Ask multiple-choice question, get response inline.

    Keyword Arguments

      - prompt (str) – Input prompt.

      - options (list) – List of options. Will be indexable by sequence number 1…

      - default (int) – The list index+1 of the default choice, if any

    Returns

      reply (str) – The answered reply.

  `ask_input`(prompt=' > ', default=None, validator=None)

    Get arbitrary input inline.

    Keyword Arguments

      - prompt (str) – The display prompt.

      - default (str) – If empty input, use this.

      - validator (callable) – If given, the input will be passed into this callable. It should return True unless validation fails (and is expected to echo why if so).

    Returns

      inp (str) – The input given, or default.

`evennia.server.connection_wizard.``node_start`(wizard)

`evennia.server.connection_wizard.``node_game_index_start`(wizard, **kwargs)

`evennia.server.connection_wizard.``node_game_index_fields`(wizard, status=None)

`evennia.server.connection_wizard.``node_mssp_start`(wizard)

`evennia.server.connection_wizard.``node_view_and_apply_settings`(wizard)

  Inspect and save the data gathered in the other nodes